Package: org.codehaus.groovy.grails.plugins.converters

## [Groovy] Class ConvertersPluginSupport

- org.codehaus.groovy.grails.plugins.converters.ConvertersPluginSupport

- Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static void` | `enhanceApplication(GrailsApplication application, org.springframework.context.ApplicationContext applicationContext)` Enhances a Grails application with the Converters capability
    `static void` | `enhanceDomainClasses(GrailsApplication grailsApplication, MetaClassEnhancer metaClassEnhancer)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @groovy.transform.CompileStatic static void enhanceApplication(GrailsApplication application, org.springframework.context.ApplicationContext applicationContext)

      Enhances a Grails application with the Converters capability

      Parameters:
        application
        applicationContext

    - #### static void enhanceDomainClasses(GrailsApplication grailsApplication, MetaClassEnhancer metaClassEnhancer)